using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace StekloMaster
{
    class Check_class
    {
        public string replacesimvols(string stroka)
        {
            string f = stroka;
            if (f != "" && f != null)
            {
                f = f.Replace("|", "{/p}").Replace("~", "{/t}").Replace("`", "{/q}").Replace("'", "{/qt}").Replace("\"", "{/qd}").Replace("!", "{/v}").Replace(".", "{/tk}").Replace(",", "{/z}").Replace("-", "{/tr}").Replace(":", "{/d}").Replace("\n", "{/n}").Replace("\r", "").Replace("\\", "{/sl}");
            }
            return f;
        }

        public string replacekey(string stroka)
        {
            string f = stroka;
            if (f != "" && f != null)
            {
                f = f.Replace("{/p}", "|").Replace("{/t}", "~").Replace("{/q}", "`").Replace("{/qt}", "'").Replace("{/qd}", "\"").Replace("{/v}", "!").Replace("{/tk}", ".").Replace("{/z}", ",").Replace("{/tr}", "-").Replace("{/d}", ":").Replace("{/n}", "\n").Replace("{/sl}", "\\");
            }
            return f;
        }

        public string repl_eng_russian(string s)
        {
            s = s.Replace('q', 'й');
            s = s.Replace('w', 'ц');
            s = s.Replace('e', 'у');
            s = s.Replace('r', 'к');
            s = s.Replace('t', 'е');
            s = s.Replace('y', 'н');
            s = s.Replace('u', 'г');
            s = s.Replace('i', 'ш');
            s = s.Replace('o', 'щ');
            s = s.Replace('p', 'з');
            s = s.Replace('[', 'х');
            s = s.Replace(']', 'ъ');
            s = s.Replace('a', 'ф');
            s = s.Replace('s', 'ы');
            s = s.Replace('d', 'в');
            s = s.Replace('f', 'а');
            s = s.Replace('g', 'п');
            s = s.Replace('h', 'р');
            s = s.Replace('j', 'о');
            s = s.Replace('k', 'л');
            s = s.Replace('l', 'д');
            s = s.Replace(';', 'ж');
            s = s.Replace('"', 'э');
            s = s.Replace('z', 'я');
            s = s.Replace('x', 'ч');
            s = s.Replace('c', 'с');
            s = s.Replace('v', 'м');
            s = s.Replace('b', 'и');
            s = s.Replace('n', 'т');
            s = s.Replace('m', 'ь');
            s = s.Replace(',', 'б');
            s = s.Replace('.', 'ю');
            s = s.Replace('Q', 'Й');
            s = s.Replace('W', 'Ц');
            s = s.Replace('E', 'У');
            s = s.Replace('R', 'К');
            s = s.Replace('T', 'Е');
            s = s.Replace('Y', 'Н');
            s = s.Replace('U', 'Г');
            s = s.Replace('I', 'Ш');
            s = s.Replace('O', 'Щ');
            s = s.Replace('P', 'З');
            s = s.Replace('{', 'Х');
            s = s.Replace('}', 'Ъ');
            s = s.Replace('A', 'Ф');
            s = s.Replace('S', 'Ы');
            s = s.Replace('D', 'В');
            s = s.Replace('F', 'А');
            s = s.Replace('G', 'П');
            s = s.Replace('H', 'Р');
            s = s.Replace('J', 'О');
            s = s.Replace('K', 'Л');
            s = s.Replace('L', 'Д');
            s = s.Replace(':', 'Ж');
            s = s.Replace('"', 'Э');
            s = s.Replace('Z', 'Я');
            s = s.Replace('X', 'Ч');
            s = s.Replace('C', 'С');
            s = s.Replace('V', 'М');
            s = s.Replace('B', 'И');
            s = s.Replace('N', 'Т');
            s = s.Replace('M', 'Ь');
            s = s.Replace('<', 'Б');
            s = s.Replace('>', 'Ю');
            return s;
        }

        public string repl_russian_eng(string s)
        {
            s = s.Replace('й', 'q');
            s = s.Replace('ц', 'w');
            s = s.Replace('у', 'e');
            s = s.Replace('к', 'r');
            s = s.Replace('е', 't');
            s = s.Replace('н', 'y');
            s = s.Replace('г', 'u');
            s = s.Replace('ш', 'i');
            s = s.Replace('щ', 'o');
            s = s.Replace('з', 'p');
            s = s.Replace('х', '[');
            s = s.Replace('ъ', ']');
            s = s.Replace('ф', 'a');
            s = s.Replace('ы', 's');
            s = s.Replace('в', 'd');
            s = s.Replace('а', 'f');
            s = s.Replace('п', 'g');
            s = s.Replace('р', 'h');
            s = s.Replace('о', 'j');
            s = s.Replace('л', 'k');
            s = s.Replace('д', 'l');
            s = s.Replace('ж', ';');
            s = s.Replace('э', '"');
            s = s.Replace('я', 'z');
            s = s.Replace('ч', 'x');
            s = s.Replace('с', 'c');
            s = s.Replace('м', 'v');
            s = s.Replace('и', 'b');
            s = s.Replace('т', 'n');
            s = s.Replace('ь', 'm');
            s = s.Replace(' ', ',');
            s = s.Replace('ю', '.');
            s = s.Replace('Й', 'Q');
            s = s.Replace('Ц', 'W');
            s = s.Replace('У', 'E');
            s = s.Replace('К', 'R');
            s = s.Replace('Е', 'T');
            s = s.Replace('Н', 'Y');
            s = s.Replace('Г', 'U');
            s = s.Replace('Ш', 'I');
            s = s.Replace('Щ', 'O');
            s = s.Replace('З', 'P');
            s = s.Replace('Х', '{');
            s = s.Replace('Ъ', '}');
            s = s.Replace('Ф', 'A');
            s = s.Replace('Ы', 'S');
            s = s.Replace('В', 'D');
            s = s.Replace('А', 'F');
            s = s.Replace('П', 'G');
            s = s.Replace('Р', 'H');
            s = s.Replace('О', 'J');
            s = s.Replace('Л', 'K');
            s = s.Replace('Д', 'L');
            s = s.Replace('Ж', ':');
            s = s.Replace('Э', '"');
            s = s.Replace('Я', 'Z');
            s = s.Replace('Ч', 'X');
            s = s.Replace('С', 'C');
            s = s.Replace('М', 'V');
            s = s.Replace('И', 'B');
            s = s.Replace('Т', 'N');
            s = s.Replace('Ь', 'M');
            s = s.Replace('Б', '<');
            s = s.Replace('Ю', '>');
            return s;
        }
        public bool sravnenie(string stroka, string podstroka)
        {
            if (stroka.IndexOf(podstroka) != -1)
                return true;
            if (stroka.IndexOf(podstroka.ToLower()) != -1)
                return true;
            if (stroka.IndexOf(podstroka.ToUpper()) != -1)
                return true;
            if (stroka.IndexOf(repl_eng_russian(podstroka)) != -1)
                return true;
            if (stroka.IndexOf(repl_eng_russian(podstroka.ToLower())) != -1)
                return true;
            if (stroka.IndexOf(repl_eng_russian(podstroka.ToUpper())) != -1)
                return true;
            if (stroka.IndexOf(repl_russian_eng(podstroka)) != -1)
                return true;
            if (stroka.IndexOf(repl_russian_eng(podstroka.ToLower())) != -1)
                return true;
            if (stroka.IndexOf(repl_russian_eng(podstroka.ToUpper())) != -1)
                return true;
            if (stroka != stroka.ToLower())
                return sravnenie(stroka.ToLower(), podstroka);
            return false;


        }
    }
}
